hint="run before: remote/runit-configure nginx -- $site"
assert "sudo test -f /etc/nginx/x509.d/\"$site\"/key.pem" hint
hint="run before: remote/runit-configure nginx -- $site"
assert "sudo test -f /etc/$site/config.inc.php" hint

sudo install -m 664 -o www -g www \
 "$tool"/var/pub/x509/"$site"."$local_domainname"/crt+ca.pem \
 /etc/nginx/x509.d/"$site"/crt.pem

sudo adduser php_"$site" www-"$site"
sudo adduser php_"$site" postgres-data
sudo adduser php_"$site" log-php-"$site"

"$tool"/local/runit-sv-configure postgres
"$tool"/local/runit-sv-start     postgres
while ! sudo -u postgres psql </dev/null
do sleep 1; done

"$tool"/local/postgresql-user-create     "$site"
"$tool"/local/postgresql-database-create "$site"
"$tool"/local/postgresql-schema-create   "$site"
sudo -u postgres psql -AqtX --set ON_ERROR_STOP=1 "$site" <<-EOF
	GRANT USAGE ON SCHEMA pg_catalog TO $site;
	EOF
#sudo -u postgres psql "$site" -a -f - --set ON_ERROR_STOP=1 <<-EOF
#	-- GRANT USAGE,CREATE ON SCHEMA public TO $site;
#	EOF

eval home="~www-$site"
sudo debconf-set-selections <<-EOF || true
	# Password confirmation:
	roundcube-core	roundcube/password-confirm	password	
	# Password of the database's administrative user:
	roundcube-core	roundcube/mysql/admin-pass	password	
	# MySQL application password for roundcube:
	roundcube-core	roundcube/mysql/app-pass	password	
	# Password confirmation:
	roundcube-core	roundcube/app-password-confirm	password	
	# PostgreSQL application password for roundcube:
	roundcube-core	roundcube/pgsql/app-pass	password	
	# Password of your database's administrative user:
	roundcube-core	roundcube/pgsql/admin-pass	password	
	# Next step for database upgrade:
	# Choices: abort, retry, retry (skip questions)
	roundcube-core	roundcube/upgrade-error	select	abort
	# Method for authenticating PostgreSQL user:
	# Choices: ident, password
	roundcube-core	roundcube/pgsql/authmethod-user	select	ident
	# Do you want to purge the database for roundcube?
	roundcube-core	roundcube/purge	boolean	false
	# Configure database for roundcube with dbconfig-common?
	roundcube-core	roundcube/dbconfig-install	boolean	false
	# Default language:
	# Choices: ar_SA, ast, az_AZ, bg_BG, bn_BD, br, bs_BA, ca_ES, cs_CZ, cy_GB, da_DK, de_CH, de_DE, el_GR, en_GB, en_US, eo, es_AR, es_ES, et_EE, eu_ES, fa, fa_AF, fi_FI, fr_FR, ga_IE, gl_ES, he_IL, hi_IN, hr_HR, hu_HU, hy_AM, id_ID, is_IS, it_IT, ja_JP, ka_GE, kh_KH, ko_KR, ku, lt_LT, lv_LV, mk_MK, mr_IN, ms_MY, nb_NO, ne_NP, nl_BE, nl_NL, nn_NO, pl_PL, ps, pt_BR, pt_PT, ro_RO, ru_RU, si_LK, sk_SK, sl_SI, sq_AL, sr_CS, sv_SE, ta_IN, th_TH, tr_TR, uk_UA, vi_VN, zh_CN, zh_TW
	roundcube-core	roundcube/language	select	fr_FR
	# PostgreSQL database name for roundcube:
	roundcube-core	roundcube/db/dbname	string	roundcube
	# Host running the PostgreSQL server for roundcube:
	roundcube-core	roundcube/remote/newhost	string	
	# Change PostgreSQL configuration automatically?
	roundcube-core	roundcube/pgsql/changeconf	boolean	false
	# Do you want to back up the database for roundcube before upgrading?
	roundcube-core	roundcube/upgrade-backup	boolean	true
	# Next step for database installation:
	# Choices: abort, retry, retry (skip questions), ignore
	roundcube-core	roundcube/install-error	select	retry
	# Name of the database's administrative user:
	roundcube-core	roundcube/mysql/admin-user	string	root
	# IMAP server(s) used with RoundCube:
	roundcube-core	roundcube/hosts	string	imap.heureux-cyclage.org
	# Method for authenticating the PostgreSQL administrator:
	# Choices: ident, password
	roundcube-core	roundcube/pgsql/authmethod-admin	select	ident
	# Deconfigure database for roundcube with dbconfig-common?
	roundcube-core	roundcube/dbconfig-remove	boolean	
	# Name of the database's administrative user:
	roundcube-core	roundcube/pgsql/admin-user	string	postgres
	# for internal use.
	roundcube-core	roundcube/internal/skip-preseed	boolean	false
	# PostgreSQL username for roundcube:
	roundcube-core	roundcube/db/app-user	string	php_$site
	# Reinstall database for roundcube?
	roundcube-core	roundcube/dbconfig-reinstall	boolean	false
	# Connection method for MySQL database of roundcube:
	# Choices: unix socket, tcp/ip
	roundcube-core	roundcube/mysql/method	select	unix socket
	# Next step for database removal:
	# Choices: abort, retry
	roundcube-core	roundcube/remove-error	select	abort
	# Should the webserver(s) be restarted now?
	roundcube-core	roundcube/restart-webserver	boolean	false
	# Perform upgrade on database for roundcube with dbconfig-common?
	roundcube-core	roundcube/dbconfig-upgrade	boolean	true
	# Port number for the PostgreSQL service:
	roundcube-core	roundcube/remote/port	string	
	# Connection method for PostgreSQL database of roundcube:
	# Choices: unix socket, tcp/ip, tcp/ip + ssl
	roundcube-core	roundcube/pgsql/method	select	unix socket
	# Modifications needed in /etc/postgresql/pg_hba.conf
	roundcube-core	roundcube/pgsql/manualconf	note	
	#  storage directory for roundcube:
	roundcube-core	roundcube/db/basepath	string	
	# Empty passwords unsupported with PostgreSQL
	roundcube-core	roundcube/pgsql/no-empty-passwords	error	
	# Password mismatch
	roundcube-core	roundcube/passwords-do-not-match	error	
	# for internal use.
	roundcube-core	roundcube/internal/reconfiguring	boolean	false
	# Web server(s) to configure automatically:
	# Choices: apache2, lighttpd
	roundcube-core	roundcube/reconfigure-webserver	multiselect	
	# Database type to be used by roundcube:
	# Choices: mysql, pgsql
	roundcube-core	roundcube/database-type	select	pgsql
	# Host name of the PostgreSQL database server for roundcube:
	# Choices: 
	roundcube-core	roundcube/remote/host	select	
	# Next step:
	# Choices: abort, retry, ignore
	roundcube-core	roundcube/missing-db-package-error	select	abort
	EOF
sudo install -d -m 755 -o root -g root \
 /etc/dbconfig-common
sudo install -m 600 -o root -g root /dev/stdin \
 /etc/dbconfig-common/"$site".conf <<-EOF
		dbc_authmethod_admin='ident'
		dbc_authmethod_user='ident'
		dbc_basepath=''
		dbc_dbadmin='postgres'
		dbc_dbname='$site'
		dbc_dbpass=''
		dbc_dbport=''
		dbc_dbserver='/run/postgresql'
		dbc_dbtype='pgsql'
		dbc_dbuser='$site'
		dbc_install='true'
		dbc_remove=''
		dbc_ssl=''
		dbc_upgrade='true'
	EOF

! sudo etckeeper unclean ||
sudo etckeeper commit -m "runit-configure nginx -- $site"

#"$tool"/local/apt-get-install \
# aspell-de \
# aspell-en \
# aspell-es \
# aspell-it \
# aspell-fr \
# aspell-pl \
# roundcube \
# roundcube-pgsql \
# roundcube-plugins
sudo chgrp php_$site /var/log/roundcube/

sudo install -d -m 750 -o root -g php_"$site" \
 /etc/"$site"
sudo find "$tool"/etc/"$site" -type f \
 -exec install -m 640 -o root -g php_"$site" \
 -t /etc/"$site"/ {} +

sudo install -m 500 -o php_"$site" -g root \
  "$tool"/local/roundcube-chpasswd \
 /usr/local/bin/roundcube-chpasswd
