divert(-1)
dnl changecom(`;')

* utilitaires M4
define(`ALIAS', `define($1`_IP4', $2`'_IP4)')
define(`MAKE_GETTER', `define(`$1', $`'1`_'$`'0)')
MAKE_GETTER(`IP4')
MAKE_GETTER(`NAME')
define(`FQDN', `NAME($1).ZONE_DOMAIN')

* hébergeur : gresille.org
define(`GRESILLE_IP4', `IP4(LOCAL)')
define(`GRESILLE_MX_NAME', `mx.ZONE_DOMAIN.')


divert(0)dnl
$TTL 1d ; TTL (Time To Live) par défaut pour les enregistrements

; ENREGISTREMENT « SOA » (Start Of Authority).
@ SOA ns hostmaster (
	ZONE_SERIAL ; Serial number.
	1d ; Refresh.
	15m ; Retry.
	2592000 ; Expire.
	1d ; TTL (Time To Live) minimum.
 )

; ENREGISTREMENTS « A » (DNS -> adresse IPv4)
@                    A IP4(GRESILLE)
autoconfig           A IP4(GRESILLE)
imap                 A IP4(GRESILLE)
mail                 A IP4(GRESILLE)
mx                   A IP4(GRESILLE)
notifications        A IP4(GRESILLE)
ns                   A IP4(GRESILLE)
nuage                A IP4(GRESILLE)
panier               A IP4(GRESILLE)
pop                  A IP4(GRESILLE)
roundcube            A IP4(GRESILLE)
smtp                 A IP4(GRESILLE)
sympa                A IP4(GRESILLE)
www                  A IP4(GRESILLE)

; ENREGISTREMENTS « CNAME » (Canonical NAME)
; NOTE : l'utilisation de CNAME n'est judicieuse que si la ressource pointée
; n'est pas sous notre contrôle. Par exemple,
; foo.example.org. CNAME foo.example.com.
; Dans le cas contraire, le seul résultat est un traffic réseau accru,
; et l'emploi de macros est préférable.
; ```You keep using CNAME records. I do not think they mean what you think they mean.'''
forge CNAME git

; ENREGISTREMENTS « MX » (Mail eXchange)
; NOTE : le reverse et le forward associés au nom donné à un enregistrement MX
; devraient correspondre. Certains antispams le vérifient, et certains (rares) admins
; bloquent même au niveau de la session SMTP si il ne correspond pas.
@ MX 5 mx

; ENREGISTREMENTS « NS » (Name Server)
@ NS ns
@ NS ns6.gandi.net.

; ENREGISTREMENTS "PTR" (IPv* -> name)
; NOTE : Dans le cas d’hébergement massif de domaines virtuels derrière une même adresse IP,
;        il est recommandé de ne pas appliquer sans discernement la règle un enregistrement PTR
;        par enregistrement A (ou AAAA) : le nombre des champs PTR à renvoyer pouvant faire dépasser
;        à la réponse la taille des paquets UDP et entraîner l’utilisation du protocole TCP
;        (plus coûteux en resources) pour envoyer la réponse à la requête DNS ;
;        cf. section "4.4 Usage and deployment considerations" du document :
;        http://tools.ietf.org/html/draft-ietf-dnsop-reverse-mapping-considerations

; ENREGISTREMENT "SPF" (Sender Policy Framework)
@ 3600 IN TXT "v=spf1 mx ip4:IP4(GRESILLE) ~all"

; ENREGISTREMENTS « SRV » (SeRVice)
_git._tcp.git 18000 IN SRV 0 0 9418 git

; ENREGISTREMENTS « SSHFP » (Secure SHell FingerPrint)
esyscmd(sudo ssh-keygen -r @)

; key#1 4096 bits, i=chatperche, d=chatperche.org, /var/lib/amavis/dkim/chatperche.org.pem
chatperche._domainkey.chatperche.org.   3600 TXT (
  "v=DKIM1; p="
  "MIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKCAgEA2fs+g4rqJKAX6ANOTFcu"
  "Sf52ZnPYuWWZ28nJHuc7XraJWAwYz6KjWYlY/Q/hwHFVnntOIuBvrDirP+zosM46"
  "RmScdL/zN1FYvYW6zQ3qJruDzrexCUkgUF2AbURCnuiutj2zlqYSmqizW0l0VWNT"
  "xFG7w9DDoAvy7bu5Og4D+wWvH7DXaqot9U5yyt0sc5R0DC6jZiWbiAmw0v1qUFde"
  "HqGWRjtfzZ/TT84sy6bgFd4YW554wQkkcsDcggJW7YqJYBnjvPH0W3zrXEg9dy2s"
  "9oniEsJhGECIgEPY/GTL3c1Keq05ThVG4Hfhhmrb1HAOlpca5nsqLNrArZ/iD0N9"
  "NzhU5kLJ9uM99laXCFuz2gtqwVHHBrMuSX0NAFby+EoaUCo9MFS8INWsllxpzT/t"
  "TUALdLQz7Fh7Ku/A8YM8pW7ln/PEzs80KXpBlBeAxgcWu7eg5yO30iUMUz85QYke"
  "F4vmWjqxvWeBO3MdXryV5eAIYNeF6+mzwFEUKUb48uxCg7MIglaqhvB3NfnKCzjC"
  "qv+TW2JwXTUg6yixmYJHQgApEyYMvEYlRTNkX8j6HqR7I8gsy14zdPvtMwkLriI2"
  "vI1pFJ9lySkyg0Vp0RQFj9bxk9ArjklwoexEJ9PD6gt2ciKRBicLKOLKVywX6jRc"
  "IBSiZyNCV/eigh/M1eapbusCAwEAAQ==")
